package com.zfire.mall.manager.enums;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum OrderPlanTypeEnum {
    YES(1,"工程计划单"),
    NO(2,"零售计划单");

    @JsonValue
    @EnumValue
    private final Integer key;
    private final String value;


    public static OrderPlanTypeEnum findEnumByKey(Boolean key) {
        OrderPlanTypeEnum[] values = OrderPlanTypeEnum.values();
        for (OrderPlanTypeEnum isEnum : values) {
            if (isEnum.getKey().equals(key)) {
                return isEnum;
            }
        }
        return null;
    }

}
